/* This file can be redistributed and used under GNU Library General Public
 * License. (c) 2000 Micha Moskal <malekith@topnet.pl>. 
 * $Id: term.h,v 1.4 2000/09/09 17:59:14 malekith Exp $ */

#ifndef _V_TERM_H
#define _V_TERM_H

extern int s_width, s_height;
extern int scroll_top, scroll_bottom;

enum {
	key_special = 0x10000,
	key_left, key_right, key_up, key_down, key_home,
	key_end, key_ins, key_del, key_pgdn, key_pgup,
	key_5, key_mouse,
	key_f0 = key_special + 0x100,
	key_meta = 0x100000
};

#define key_f(a) (key_f0 + (a))
#define key_ctrl(a) (a & 0x9f)

void init_curses();
void kill_curses();
void set_color(int vga);
int print(const char *str, ...) __attribute__ ((format(printf, 1, 2)));
void print(int ch, int color = -1);
void stick_cursor();
void go(int x, int y);
void f_repaint();
void repaint();
int get_frame(int x, int y);
void scroll_up(int n);
void cls();

int _keyb();
#ifndef getch
inline int getch() { return _keyb(); }
#endif

#endif /* _V_TERM_H */
